#!/usr/bin/env ruby

module Drugstore::Models
  class Product < Base
    after_find do
      ActiveRecord::Base.clear_active_connections!
    end
  end

  class Order < Base
    validates :fullname, :addrline1, :zippostalcode, :city, :country, :cart, :bitcoinaddress, presence: true
    after_create do
      ActiveRecord::Base.clear_active_connections!
    end
  end
end